var
  l, m, i: longint;

begin
  for l := 1 to 5 do
  begin
    for m := 0 to (1 shl l) - 1 do
    begin
      for i := l - 1 downto 0 do
        write((m shr i) and 1);
      writeln;
    end;
  end;
end.